<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "SEO" - Search Engine Optimization and Analytics      |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 1.2b / November 2013 ==

*/

define('CPO', true);
require_once('../_include/checkaccess.inc.php'); 

// Moduleinstellungen speichern (neue Version mit automatischem Einlesen neuer Variablen)************
if (isset($_POST['go'])) {
	$new_settings = $_POST;
    foreach ($activeModules['SEO'] as $k=>$v) {
        if (!isset($_POST['cpoSEONew'][$k])) continue;
        if (is_bool($activeModules['SEO'][$k])) {
            $activeModules['SEO'][$k] = (bool) $_POST['cpoSEONew'][$k];
        } else {
			$activeModules['SEO'][$k] = $_POST['cpoSEONew'][$k];
		}
		if (array_key_exists($k, $new_settings['cpoSEONew'])) unset($new_settings['cpoSEONew'][$k]);
    }
    foreach ($new_settings['cpoSEONew'] as $k=>$v) {
		$activeModules['SEO'][$k] = $new_settings['cpoSEONew'][$k];
	}
    $c_datum = date ("Y-m-d H:i:s", time());
    $query = sprintf(
             "UPDATE ".CPO_MODULES." SET options ="
            ." '%s' WHERE name = '%s'", 
            addslashes(serialize($activeModules['SEO'])),
			'SEO'
    );
    DEBUG(1, $query, __FILE__, __LINE__);
    $db = new DB;
    $db->query($query); 

    $message[] = __('Module settings were updated!');
}

require(CPO_BASEDIR.'_include/header.php');

?>

<script type="text/javascript"> 
<!-- 
	function textarea (boxid, link){ 
		var t=document.getElementById(boxid); 
		if(link.innerHTML=='<?php echo __('enlarge'); ?>'){ 
			t.style.height = t.offsetHeight+250+"px"; 
			link.innerHTML='<?php echo __('reduce'); ?>'; 
		} else{ 
			t.style.height = t.offsetHeight-250+"px"; 
			link.innerHTML='<?php echo __('enlarge'); ?>'; 
		} 
	} 
//--> 
</script> 

<?php

if (!function_exists('modHelp'))  {
	function modHelp($topic,$module)  {
		return 'http://manual.conpresso4.de/'.$module.'/'.$topic.".htm";
	}
}

printPageHeader(
    __('Search Engine Optimization and Analytics'),
    __('In this view you can work on the SEO module settings.'),
	modHelp('settings','SEO'),
	true,
	'modules'
);
include(CPO_BASEDIR.'_include/message.php');
include('./producer.inc.php');

if(array_key_exists('SEO', $activeModules))  {
	// table header {{{
	echo '<form method="post" action="'.$_SERVER['PHP_SELF'].'" name="modulesettings">';
	echo '<input type="hidden" name="go" value="1">';

	include(CPO_BASEDIR.$activeModules['SEO']['directory'].'/license.inc.php');
	
	if (!$seobreak) {
	echo '<table class="colored" style="width: 100%;">';
	echo '<thead><tr>';

	echo '<th colspan="2"><span>'.__('SEO settings').'</span></th>';

	echo '</tr></thead><tbody>';
	// }}}

	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Keywords:');
		echo '</td>';
		echo '<td class="rightrow">'.__('These are the phrases you expect users to search for and you want to be placed one the first result page. So you are the market leader, deliver exactly the desired product or just want to. Single, common or too many keywords lower the chance for success.<br />Press RETURN after each keyword!');
		echo '<textarea rows="20" class="text inputwidth" name="cpoSEONew[keywords]" id="cpoSEOkeywords" style="width: 95%; height: 100px;">'.$activeModules['SEO']['keywords'].'</textarea>';
		echo '<br /><a href="#" onClick="textarea(\'cpoSEOkeywords\', this);return false" id="lnk">'.__('enlarge').'</a>';
		echo '</td>';
	echo '</tr>';


	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Rubric limitation:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<select name="cpoSEONew[rubricsUse]">';
		$sel_off = ($activeModules['SEO']['rubricsUse'] == 'off') ? ' selected="selected"' :'';
		$sel_in  = ($activeModules['SEO']['rubricsUse'] == 'IN') ? ' selected="selected"' :'';
		$sel_out = ($activeModules['SEO']['rubricsUse'] == 'NOT IN') ? ' selected="selected"' :'';
		echo '<option value="off"'.$sel_off.'>'.__('off').'</option>';
		echo '<option value="IN"'.$sel_in.'>'.__('include').'</option>';
		echo '<option value="NOT IN"'.$sel_out.'>'.__('exclude').'</option>';
		echo '</select>';
		echo '</td>';
	echo '</tr>';

	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Rubrics:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<select name="cpoSEONew[rubrics][]" size="10" multiple="multiple">';
		$db->query('SELECT id, name, seclevel FROM '.CPO_RUBRIC.' ORDER BY name');
		while ($db->next_record()) {
			$sel = (@in_array($db->v('id'),$activeModules['SEO']['rubrics'])) ? ' selected="selected"' :'';
			echo '<option value="'.$db->v('id').'"'.$sel.'>'.$db->v('name').'</option>';
		}
		echo '</select>';
		echo '</td>';
	echo '</tr>';

    echo '<tr>';
        echo '<td class="leftrow">';
        echo 'URL:';
        echo '</td>';
        echo '<td class="rightrow">';
        echo '<input type="text" class="text inputwidth" name="cpoSEONew[URL]" value="'.$activeModules['SEO']['URL'].'" maxlength="255">';
        echo '<br /><img src="'.SKIN_URL.'sym_note.gif" style="vertical-align: text-bottom;" alt="'.___('Note').'" title="'.___('Note').'"> ';
        echo sprintf(___('In case of an empty field or \'auto\' %s will use: '), htmlspecialchars('mod_SEO', ENT_COMPAT, 'ISO-8859-15')).'<em>'.htmlspecialchars($auto_base_url, ENT_COMPAT, 'ISO-8859-15').'</em><br />';
        echo ___('Please make sure that this value is correct before using the autodetected value!');
        echo '</td>';
    echo '</tr>';

	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Number of keywords:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<input type="text" class="text" name="cpoSEONew[max_keywords]" value="'.$activeModules['SEO']['max_keywords'].'" maxlength="5" size="5">';
		echo '<br />'.__('An excessive number of keywords harm the search engine placement. The number entered here will produce a limited number of randomly chosen keywords.');
		echo '</td>';
	echo '</tr>';

	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Number of search links:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<input type="text" class="text" name="cpoSEONew[max_searchstrings]" value="'.$activeModules['SEO']['max_searchstrings'].'" maxlength="5" size="5">';
		echo '<br />'.__('An excessive number of search links overload some page layout. The number entered here will produce a limited number of randomly selected search links.');
        if (!array_key_exists($activeModules['TagCloud']['modSearchDir'], $activeModules)) {
            echo '<br /><img src="'.SKIN_URL.'sym_note.gif" style="vertical-align: text-bottom;" alt="'.___('Note').'" title="'.___('Note').'"> ';
            echo __('The search is currently disabled.');
        }
		echo '</td>';
	echo '</tr>';
	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Search module directory:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<input type="text" class="text inputwidth" name="cpoSEONew[modSearchDir]" value="'.$activeModules['SEO']['modSearchDir'].'">';
        if (!array_key_exists($activeModules['TagCloud']['modSearchDir'], $activeModules)) {
            echo '<br /><img src="'.SKIN_URL.'sym_note.gif" style="vertical-align: text-bottom;" alt="'.___('Note').'" title="'.___('Note').'"> ';
            echo __('The search is currently disabled.');
        }
		echo '</td>';
	echo '</tr>';

	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Show hint:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<select name="cpoSEONew[hints]" size="1">';
		$selyes = ($activeModules['SEO']['hints']=="yes") ? ' selected="selected"' :'';
		$selno = ($activeModules['SEO']['hints']=="no") ? ' selected="selected"' :'';
		echo '<option value="yes"'.$selyes.'>'.__('yes').'</option>';
		echo '<option value="no"'.$selno.'>'.__('no').'</option>';
		echo '</select>';
		echo '</td>';
	echo '</tr>';

	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Get Google values:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<select name="cpoSEONew[getGoogle]" size="1">';
		$selyes = ($activeModules['SEO']['getGoogle']=="yes") ? ' selected="selected"' :'';
		$selno = ($activeModules['SEO']['getGoogle']=="no") ? ' selected="selected"' :'';
		echo '<option value="yes"'.$selyes.'>'.__('yes').'</option>';
		echo '<option value="no"'.$selno.'>'.__('no').'</option>';
		echo '</select>';

		$fp = @fsockopen("www.google.de", 80, $errno, $errstr, 3);
		if (!$fp) {
			echo '<br />'.__('<b>ERROR:</b> URL file access seems to be forbidden!').'<br />';
			echo 'allow_url_fopen = ' . (ini_get('allow_url_fopen')?'on':'off') . "<br />";
			echo 'allow_url_include = ' . (ini_get('allow_url_include')?'on':'off') . "<br />";
			echo 'safe_mode = ' . (ini_get('safe_mode')?'on':'off') . "<br />";
			echo "<b>ERROR:</b> $errno - $errstr<br />\n";
		} else {
			echo ' '.__('Connection established with Google');
		}
        echo '<br /><img src="'.SKIN_URL.'sym_note.gif" style="vertical-align: text-bottom;" alt="'.___('Note').'" title="'.___('Note').'"> ';
        echo __('Getting Google values might be forbidden by server restrictions, firewall or performance! If you encounter any problems you have to turn this off!');
		echo '</td>';
	echo '</tr>';

	echo '<tr>';
		echo '<td class="leftrow">';
		echo '&nbsp;';
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<input type="submit" class="button" value="'.__('Save module settings').'">';
		echo '</td>';
	echo '</tr>';
	echo '</tbody></table>';
	}
	
	echo '</form>';

}
require(CPO_BASEDIR.'_include/footer.php');
?>
